Favicon

You are here: Home > API Reference > Apple > Apple Default Config > Update admDepProfile

Update admDepProfile

Required Permission: mdm.apple.defaultDeviceConfig.update

Update admDepProfile

PUT
https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/default-config/{admDefaultDeviceConfigId}
curl -X PUT "https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/default-config/{admDefaultDeviceConfigId}" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "elementId": "string"
}'
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/default-config/{admDefaultDeviceConfigId}", {
  method: "PUT",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "elementId": "string"
  }),
});

const data = await response.json();
import requests

response = requests.put(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/default-config/{admDefaultDeviceConfigId}",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
    json={
      "elementId": "string"
    },
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
admDefaultDeviceConfigId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Body Params application/json
elementId string optional
Match pattern: ^[a-fA-F0-9]{24}$
{
    "elementId": "string"
}

Responses

200 Response application/json
status boolean optional
data object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
type string optional
≤ 256 characters
admEnterprise string optional
Match pattern: ^[a-fA-F0-9]{24}$
modelName string optional
≤ 256 characters
iphone mac ipad ipod iwatch appletv
elementId string optional
Match pattern: ^[a-fA-F0-9]{24}$
elementInfo object optional
{
    "status": true,
    "data": {
        "id": "string",
        "type": "string",
        "admEnterprise": "string",
        "modelName": "iphone",
        "elementId": "string",
        "elementInfo": {}
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}